'****************************************************************
'*  Name    : Test_Tips_and_Tricks.BAS                          *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 29/08/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   : testing the HEXtoASCII2 command                   *
'*          :                                                   *
'****************************************************************
'/ Choose the include file depending of clock of ISIS CPU.
    Include "D:\MyIncFiles\proton18_16.inc"

'    Declare Float_Display_Type = Fast
'    Declare Float_Rounding = On             ' Round down to the nearest integer
'    Declare Reminders = Off
'    DECLARE LABEL_BANK_RESETS = ON
'    Declare Reminders = On
'    #define __INTERRUPTS_ENABLED 1

    Dim MyResultByte As Byte
    Dim MyResultWord As Word
    Dim MyResultSWord As SWord    
    Dim MyResultDword As Dword
    Dim MyResultFloat As Float

    Dim MyResultRDword As Word

    Dim MyInputByte As Byte
    Dim MyInputWord As Word
    Dim MyInputDword As Dword            
    Dim MyInputFloat As Float

    Dim WordLoop As Word
    Dim ByteLoop As Byte
    Dim MyASCII As Word
    Dim ASCIIH As MyASCII.HighByte
    Dim ASCIIL As MyASCII.LowByte    

' Place the String at the End of the Dim list

'===============================================================================
    $define _AFSComputer_
'/==============================================================================
'/ UARTs
'    $define _HRSOutTwoStopBitsInc_
' Others libraries.
'    $define _ADCaverageA_
'    $define _ADCaverageB_    
'    $define _CountUntil_
    $define _HEXtoASCII_
'    $define _IDLOCS_
'    $define _HRSLStrg_
'    $define _DegC_DegF_
'    $define _Map8_
'    $define _Map16_
'    $define _MapF_    
'    $define _GIE_Save_
'    $define _DEVID1_
'    $define _BCDCounters_
'    $define _StringToFloat_
'    $define _DebounceByte_    
'    $define _MyRandom_
'    $define _GrayCode_

    $define __MEASURE_CODE_
'/------------------------------------------------------------------------------
    '/ Create your own path in the Hard disk D:\MyIncFiles. 
    Include "D:\MyIncFiles\TIPS_AND_TRICKS_V16.Inc"
'/==============================================================================
    GoTo OverMacros                              ' Jump over the subroutines
'/==============================================================================


'/==============================================================================
OverMacros:
'/==============================================================================
                            
'/###############################################################################
'/ Main Demo Program
'/ Use the ISIS program to test the code.
'/ Click the ISIS button in the toolbar and choose the PIC18_ALCD_VHB.DSN board with normal LCD. 
'/###############################################################################
    Cls
MAIN:
    STARTSIZE(ASCII_CODE)
'/ The result is:
(*
 MESSG "NEW_MEASURE_"#ASCII_CODE
*)
'/------------------------------------------------------------------------------

'/ Convert HEX to ASCII
    MyInputByte = $5A

'/               BIN      => ASCIIHighByte, ASCIILowByte
    HEXtoASCII2(MyInputByte, ASCIIH, ASCIIL)
    HRSOut "HEX input: ", IHex MyInputByte,CR  
    HRSOut "ASCII out: $", ASCIIH,ASCIIL,CR 

    HRSOut "END TEST",CR 
'/------------------------------------------------------------------------------
    ENDSIZE(ASCII_CODE)
    '/ See the file.asm to know the number of bytes of the code.
'/ The result is:
(*
MESSG SIZE_CODE#ASCII_CODE = 66[BYTES]                       = 33[WORDS]
MESSG TIME_CODE#ASCII_CODE = 16500[NANOS]
MESSG "END_MEASURE"#ASCII_CODE
*)
'/##############################################################################
    End
'/==============================================================================
 
