'****************************************************************
'*  Name    : Test_Tips_and_Tricks.BAS                          *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 29/09/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   : HRSOut CData Strings                              *
'*          :                                                   *
'****************************************************************
'/ Choose the include file depending of clock of ISIS CPU.
    Include "D:\MyIncFiles\proton18_16.inc"

'    Declare Float_Display_Type = Fast
'    Declare Float_Rounding = On             ' Round down to the nearest integer
'    Declare Reminders = Off
'    DECLARE LABEL_BANK_RESETS = ON
'    Declare Reminders = On

    Dim MyResultByte As Byte
    Dim MyResultWord As Word
    Dim MyResultSWord As SWord    
    Dim MyResultDword As Dword
    Dim MyResultFloat As Float

    Dim MyResultRDword As Word

    Dim MyInputByte As Byte
    Dim MyInputWord As Word
    Dim MyInputDword As Dword            
    Dim MyInputFloat As Float

    Dim WordLoop As Word
    Dim ByteLoop As Byte
    
' Place the String at the End of the Dim list

'/==============================================================================
    #define __INTERRUPTS_ENABLED 1
'/ UARTs
'    $define _HRSOutTwoStopBitsInc_
' Others libraries.
'    $define _ADCaverageA_
'    $define _ADCaverageB_    
'    $define _CountUntil_
'    $define _HEXtoASCII_
'    $define _IDLOCS_
'    $define _DegC_DegF_
'    $define _Map8_
'    $define _Map16_
'    $define _MapF_    
'    $define _GIE_Save_
'    $define _DEVID1_
'    $define _BCDCounters_
'    $define _StringToFloat_
'    $define _DebounceByte_    
'    $define _MyRandom_
'    $define _GrayCode_

    $define _HRSLStrg_
    $define _English_

    $define __MEASURE_CODE_
'/------------------------------------------------------------------------------
    '/ Create your own path in the Hard disk D:\MyIncFiles.
    Include "D:\MyIncFiles\TIPS_AND_TRICKS_V16.Inc"
'/==============================================================================
    GoTo OverMacros                              ' Jump over the subroutines
'/==============================================================================


'/==============================================================================
OverMacros:
'/==============================================================================
                            
'/###############################################################################
' Main Demo Program
'/ Use the ISIS program to test the code.
'/ Click the ISIS button in the toolbar and choose the PIC18_ALCD_VHB.DSN board with normal LCD. 
'/###############################################################################
    Cls
MAIN:


    HRSLStrg(TXT3,AllChars,3)

    HRSLStrg(TXT3,3)

    HRSLStrg(TXT13,17,0)

    HRSLStrg(TXT13,17,2)

    HRSLStrg(TXT16,AllChars,1)
        
'/##############################################################################
    End
'/==============================================================================
STARTSIZE(Strings_CData)
'-------------------------------------------------------------------------------
STRGS_TABLE:
'-------------------------------------------------------------------------------
$ifdef _English_
ENGLISH:
    TXT0: CData  "STATE MACHINE",0 
    TXT1: CData  "By A. Freixanet",0 
    TXT2: CData  "ADC ERROR!",0
    TXT3: CData  "Testing the DS1307 Clock Calendar",0
    TXT4: CData  "Sending Time every second, Date & Temperature every minute.",0
    TXT5: CData  "The Hserial is Set To ",0
    TXT6: CData  " ",0            
    TXT11: CData "Check the DS1307 ackknowledge.",0    
    TXT12: CData "Check if the DS1307 Clock Calendar is connected?",0
    TXT13: CData "The DS1307 Device is ready!",0
    TXT14: CData "NACK DS1307 RTC Device!",0    
    TXT15: CData "Send the DS1307 signal frequency [1Hz] to PORTA.4",0
    TXT16: CData "END TEST",0
$endif
'-------------------------------------------------------------------------------
$ifdef _Spanish_
SPANISH:
    TXT0: CData  "MAQUINA ESTADO",0 
    TXT1: CData  "Por A. Freixanet",0 
    TXT2: CData  "ADC ERROR!",0
    TXT3: CData  "Probando el Reloj Calendario DS1307",0
    TXT4: CData  "Enviando la Hora cada segundo, Hora y Temperatura cada minuto.",0
    TXT5: CData  "Le Hserial esta configurado a ",0
    TXT6: CData  " ",0            
    TXT11: CData "Controlar el DS1307 ackknowledge.",0    
    TXT12: CData "Controlar si el Reloj Calendario DS1307 esta conectado?",0
    TXT13: CData "El chip DS1307 esta listo!",0
    TXT14: CData "NACK del chip DS1307 RTC!",0    
    TXT15: CData "Disponibilidad de la senal [1Hz] del DS1307 en el pin PORTB.0",0
    TXT16: CData "FINAL TEST",0
$endif
'-------------------------------------------------------------------------------
$ifdef _French_
FRENCH:
    TXT0: CData  "MACHINE DETATS",0 
    TXT1: CData  "Par A. Freixanet",0 
    TXT2: CData  "ERREUR ADC!",0
    TXT3: CData  "Test de lHorlge Calendrier DS1307",0
    TXT4: CData  "Envoyant la Date chaque seconde, Heure & Temperature chaque minute.",0
    TXT5: CData  "Le Hserial est ajust  ",0
    TXT6: CData  " ",0            
    TXT11: CData "Controler lackknowledge du DS1307.",0    
    TXT12: CData "Controler la connection de lHorloge DS1307?",0
    TXT13: CData "Le circuit DS1307 est prt!",0
    TXT14: CData "NACK du circuit DS1307 RTC!",0    
    TXT15: CData "Le signal de 1 Hz est envoy au pin PORTA.4.",0
    TXT16: CData "FIN du TEST",0
$endif

' Here more languages...
'-------------------------------------------------------------------------------
ENDSIZE(Strings_CData)
'/##############################################################################    
