'****************************************************************
'*  Name    : Test_Tips_and_Tricks.BAS                          *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 29/09/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   : HRSout EData Strings command                      *
'*          :                                                   *
'****************************************************************
'/ Choose the include file depending of clock of ISIS CPU.
    Include "D:\MyIncFiles\proton18_16.inc"

'    Declare Float_Display_Type = Fast
'    Declare Float_Rounding = On             ' Round down to the nearest integer
'    Declare Reminders = Off
'    DECLARE LABEL_BANK_RESETS = ON
'    Declare Reminders = On
    #define __INTERRUPTS_ENABLED 1

    Dim MyResultByte As Byte
    Dim MyResultWord As Word
    Dim MyResultSWord As SWord    
    Dim MyResultDword As Dword
    Dim MyResultFloat As Float

    Dim MyResultRDword As Word

    Dim MyInputByte As Byte
    Dim MyInputWord As Word
    Dim MyInputDword As Dword            
    Dim MyInputFloat As Float

    Dim WordLoop As Word
    Dim ByteLoop As Byte
    
' Place the String at the End of the Dim list

'/==============================================================================
'/ UARTs
'    $define _HRSOutTwoStopBitsInc_
' Others libraries.
'    $define _ADCaverageA_
'    $define _ADCaverageB_    
'    $define _CountUntil_
'    $define _HEXtoASCII_
'    $define _IDLOCS_
'    $define _DegC_DegF_
'    $define _Map8_
'    $define _Map16_
'    $define _MapF_    
'    $define _GIE_Save_
'    $define _DEVID1_
'    $define _BCDCounters_
'    $define _StringToFloat_
'    $define _DebounceByte_    
'    $define _MyRandom_
'    $define _GrayCode_
    $define _HRSE2PStrg_
'    $define _CLL_
'    $define _PrintStrg_
'    $define _HRSLStrg_
    $define _English_

    $define __MEASURE_CODE_
'/------------------------------------------------------------------------------
    '/ Create your own path in the Hard disk D:\MyIncFiles.
    Include "D:\MyIncFiles\TIPS_AND_TRICKS_V16.Inc"
'/==============================================================================
    GoTo OverMacros                              ' Jump over the subroutines
'/==============================================================================
STRGS_TABLE:
'-------------------------------------------------------------------------------
$ifdef _English_
ENGLISH:
    TXT0 EData  "STATE MACHINE",0 
    TXT1 EData  "By A. Freixanet",0 
    TXT2 EData  "ADC ERROR!",0
    TXT3 EData  "Testing the DS1307 Clock Calendar",0
    TXT4 EData  "Sending Time every second, Date & Temperature every minute.",0
    TXT5 EData  "The Hserial is Set To ",0
    TXT6 EData  "END TEST",0
$endif
'-------------------------------------------------------------------------------
$ifdef _Spanish_
SPANISH:
    TXT0 EData  "MAQUINA ESTADO",0 
    TXT1 EData  "Por A. Freixanet",0 
    TXT2 EData  "ADC ERROR!",0
    TXT3 EData  "Probando el Reloj Calendario DS1307",0
    TXT4 EData  "Enviando la Hora cada segundo, Hora y Temperatura cada minuto.",0
    TXT5 EData  "Le Hserial esta configurado a ",0
    TXT6 EData  "FINAL TEST",0
$endif
'-------------------------------------------------------------------------------
$ifdef _French_
FRENCH:
    TXT0 EData  "MACHINE DETATS",0 
    TXT1 EData  "Par A. Freixanet",0 
    TXT2 EData  "ERREUR ADC!",0
    TXT3 EData  "Test de lHorlge Calendrier DS1307",0
    TXT4 EData  "Envoyant la Date chaque seconde, Heure & Temperature chaque minute.",0
    TXT5 EData  "Le Hserial est ajust  ",0
    TXT6 EData  "FIN du TEST",0
$endif

' Here more languages...
'-------------------------------------------------------------------------------
'/==============================================================================
OverMacros:
'/==============================================================================
                            
'/###############################################################################
' Main Demo Program
'/ Use the ISIS program to test the code.
'/ Click the ISIS button in the toolbar and choose the PIC18_ALCD_VHB.DSN board with normal LCD. 
'/###############################################################################
    Cls
MAIN:
'/ PrintStrg(x,y,z,v)
'/ Purpose : Print a Edata String to the LCD                              
'/ Input   : x = Label String, y = Line Number, z = Column Number
'/           v = Number of Characters                                    

'/  HRSE2PStrg(Label, Number Chars ,Number CR)
    HRSE2PStrg(TXT0,13,1) 
    HRSE2PStrg(TXT1,15,2)

'/  HRSE2PStrg(Label, Number Chars ,Number CR)
    HRSE2PStrg(TXT2,10,1)

    HRSE2PStrg(TXT3,AllChars,1)
    HRSE2PStrg(TXT3,2)              '/ Same with all characters to send.    

    HRSE2PStrg(TXT6,AllChars,1)    
'/##############################################################################
    End
'/==============================================================================
  
