'****************************************************************
'*  Name    : Test_Tips_and_Tricks.BAS                          *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 29/09/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   : Testing MyRandom command                          *
'*          :                                                   *
'****************************************************************
'/ Choose the include file depending of clock of ISIS CPU.
    Include "D:\MyIncFiles\proton18_16.inc"


'    Declare Float_Display_Type = Fast
'    Declare Float_Rounding = On             ' Round down to the nearest integer
'    Declare Reminders = Off
'    DECLARE LABEL_BANK_RESETS = ON
'    Declare Reminders = On
    #define __INTERRUPTS_ENABLED 1

    Dim MyResultByte As Byte
    Dim MyResultWord As Word
    Dim MyResultSWord As SWord    
    Dim MyResultDword As Dword
    Dim MyResultFloat As Float

    Dim MyResultRDword As Word

    Dim MyInputByte As Byte
    Dim MyInputWord As Word
    Dim MyInputDword As Dword            
    Dim MyInputFloat As Float

    Dim WordLoop As Word
    Dim ByteLoop As Byte
    Dim MyASCIIL As Byte    
' Place the String at the End of the Dim list

'/==============================================================================
'/ UARTs
'    $define _HRSOutTwoStopBitsInc_
' Others libraries.
'    $define _ADCaverageA_
'    $define _ADCaverageB_    
'    $define _CountUntil_
'    $define _HEXtoASCII_
'    $define _IDLOCS_
'    $define _HRSLStrg_
'    $define _DegC_DegF_
'    $define _Map8_
'    $define _Map16_
'    $define _MapF_    
'    $define _GIE_Save_
'    $define _DEVID1_
'    $define _BCDCounters_
'    $define _StringToFloat_
'    $define _DebounceByte_    
    $define _MyRandom_
'    $define _GrayCode_

    $define __MEASURE_CODE_
'/------------------------------------------------------------------------------
    '/ Create your own path in the Hard disk D:\MyIncFiles.
    Include "D:\MyIncFiles\TIPS_AND_TRICKS_V16.Inc"
'/==============================================================================
    GoTo OverMacros                              ' Jump over the subroutines
'/==============================================================================


'/==============================================================================
OverMacros:
'/==============================================================================
                            
'/###############################################################################
'/ Main Demo Program
'/ Use the ISIS program to test the code.
'/ Click the ISIS button in the toolbar and choose the PIC18_ALCD_VHB.DSN board with normal LCD. 
'/###############################################################################
    Cls
MAIN:
    '/ Seed the random number generator, in order to obtain a more random result.
    MySeed($A385B341)
    HRSOut "MYSEED: ", Dec RDSHIFT_REG, CR
    
    HRSOut "RETURN_VAR: DWord",CR
    For MyASCIIL = 0 To 50
        MyResultDword = MyRandom()
        HRSOut "RANDOM: ", IHex8 MyResultDword, CR    
    Next
    HRSOut CR

    HRSOut "RETURN_VAR: Word",CR
    MySeed($A385B341)
    For MyASCIIL = 0 To 50
        MyResultWord = MyRandom()
        HRSOut "RANDOM: ", IHex4 MyResultWord, CR    
    Next
    HRSOut CR

    HRSOut "RETURN_VAR: DWord",CR
    MySeed($A385B341)
    For MyASCIIL = 0 To 20
        MyResultDword = MyRandom(2)
        HRSOut "RANDOM: ", IHex8 MyResultDword, CR    
    Next
    HRSOut CR

    HRSOut "RETURN_VAR: DWord",CR
    MySeed($A385B341)
    For MyASCIIL = 0 To 20
        MyResultDword = MyRandom(0)
        HRSOut "RANDOM: ", IHex8 MyResultDword, CR    
    Next
    HRSOut CR

    HRSOut "RETURN_VAR: Byte",CR
    MySeed($A385B341)
    For MyASCIIL = 0 To 20
        MyResultByte = MyRandom(0)
        HRSOut "RANDOM: ", IHex2 MyResultByte, CR    
    Next
    HRSOut CR

    HRSOut "RETURN_VAR: Byte",CR
    MySeed($A385B341)
    For MyASCIIL = 0 To 20
        MyResultByte = MyRandom(1)
        HRSOut "RANDOM: ", IHex2 MyResultByte, CR    
    Next
    HRSOut CR

    HRSOut "RETURN_VAR: Word",CR
    MySeed($A385B341)
    For MyASCIIL = 0 To 20
        MyResultWord = MyRandom(0)
        HRSOut "RANDOM: ", IHex4 MyResultWord, CR    
    Next
    HRSOut CR

    HRSOut "RETURN_VAR: Word",CR
    MySeed($A385B341)
    For MyASCIIL = 0 To 20
        MyResultWord = MyRandom(1)
        HRSOut "RANDOM: ", IHex4 MyResultWord, CR    
    Next
    HRSOut CR

    HRSOut "END TEST",CR   
'/##############################################################################
    End
'/==============================================================================

