'****************************************************************
'*  Name    : ThermistorSteinHart_Test.BAS                      *
'*  Author  : [Les Johnson]                                     *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*            Code adapted for macro by Alberto Freixanet       *
'*          : All Rights Reserved                               *
'*  Date    : 04/10/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   :                                                   *
'*          :                                                   *
'****************************************************************

    Include "D:\MyIncFiles\Proton18_16.Inc"

    Declare Float_Display_Type = Fast   ' Use the larger but faster floating point display routine

    $define _CLL_
    $define _ReadTSensorTSH_
    Include "D:\MyIncFiles\Tips_and_Tricks_V16.inc"
'===============================================================================
    Dim Temperature As Float    ' Holds the floating point Temperature in degrees Centigrade
    Dim Aloop As Byte
'===============================================================================
' The Main Demo Program Loop Starts Here
    DelayMS 250
    CLL()                                           ' Clear the LCD
MainProgram:                                        

    DelayMS 150                                     ' Wait for the LCD to stabilise

    '/ Build the LCD degrees symbol in character 1
'    Print 254,72,%00000110,%00001001,%00001001,%00000110,0,0,0,0 
'    PrintDegreSymb()

    Print At 1,1,"READ SENSOR:"

    For Aloop = 0 To 150                            ' Create a loop
        Temperature = ReadTSensorTSH()              ' Read and linearise the thermistor
        CLL(2,1)
'        Print At 2,1,Dec1 Temperature,1,"C   "      ' Display the result on the LCD
'        Print At 2,1,Dec1 Temperature, %11011111,"C  "
        Print At 2,1,Dec1 Temperature," Degrees C   " ' Display the result on the LCD

        DelayMS 200                                 ' Wait a while
    Next                                            ' Close the loop

    GoTo MainProgram
'-------------------------------------------------------------------------------
    End


