'****************************************************************
'*  Name    : VarToSTringRS.BAS                                 *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 10/10/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   : Check the VarToSTg command with RSOut             *
'*          :                                                   *
'****************************************************************

    Include "D:\MyIncFiles\proton18_16.inc"
'    Declare Float_Display_Type = Fast
    Declare Watchdog = OFF

    $define _VarToSTrgRS_
    $define __MEASURE_CODE_
    Include "D:\MyIncFiles\TIPS_AND_TRICKS_V16.Inc"

    Dim Var1Byte As Byte
    Dim Var1Word As Word
    Dim Var1DWord As Dword
    Dim Var1SByte As SByte
    Dim Var1SWord As SWord
    Dim Var1SDWord As SDword
    Dim Var1Float As Float

    Dim VarString As String * 24
'/==============================================================================
MAIN:
    HRSOut "EXTRACT THE DIGITS OF A VARIABLE AND LOAD A STRING",CR,CR

    HRSOut "TEST00:",CR
    Var1SDWord = -12567890

    VarToStrg(SDec,Var1SDWord,VarString)

    HRSOut "Variable -DWord: ", SDec Var1SDWord,CR
    HRSOut "Conversion Strg: ", VarString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "TEST01:",CR    
    Var1Byte = 125

    VarToStrg(Dec,Var1Byte,VarString)

    HRSOut "Variable   Byte: ", Dec Var1Byte,CR
    HRSOut "Conversion Strg: ", VarString, CR
    HRSOut CR
'/------------------------------------------------------------------------------
    HRSOut "TEST02:",CR
    Var1SByte = -125

    VarToStrg(SDec,Var1SByte,VarString)

    HRSOut "Variable -SByte: ", SDec Var1SByte,CR
    HRSOut "Conversion Strg: ", VarString, CR
    HRSOut CR
'/------------------------------------------------------------------------------
    HRSOut "TEST03:",CR
    Var1Byte = 125

    VarToStrg(IBin,Var1Byte,VarString)

    HRSOut "Variable IBin Byte: ", IBin Var1Byte,CR
    HRSOut "Conversion Strg:    ", VarString, CR
    HRSOut CR
'/------------------------------------------------------------------------------
    HRSOut "TEST04:",CR
    Var1SByte = -125

    VarToStrg(ISBin,Var1SByte,VarString)

    HRSOut "Variable -ISBin Byte: ", ISBin Var1SByte,CR
    HRSOut "Conversion Strg:      ", VarString, CR
    HRSOut CR
'/------------------------------------------------------------------------------
    HRSOut "TEST05:",CR
    Var1Word = 12500

    VarToStrg(Dec,Var1Word,VarString)

    HRSOut "Variable   Word: ", Dec Var1Word,CR
    HRSOut "Conversion Strg: ", VarString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "TEST06:",CR
    Var1SWord = -12500

    VarToStrg(SDec,Var1SWord,VarString)

    HRSOut "Variable  -Word: ", SDec Var1SWord,CR
    HRSOut "Conversion Strg: ", VarString, CR
    HRSOut CR   
'/------------------------------------------------------------------------------
    HRSOut "TEST07:",CR
    Var1DWord = 125000

    VarToStrg(Dec,Var1DWord,VarString)

    HRSOut "Variable  DWord: ", Dec Var1DWord,CR
    HRSOut "Conversion Strg: ", VarString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "TEST08:",CR
    Var1SDWord = -125000

    VarToStrg(SDec,Var1SDWord,VarString)

    HRSOut "Variable -DWord: ", SDec Var1SDWord,CR
    HRSOut "Conversion Strg: ", VarString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "TEST09:",CR
    Var1Float = 1250.567

    VarToStrg(Dec,Var1Float,VarString)

    HRSOut "Variable  Float: ", Dec Var1Float,CR
    HRSOut "Conversion Strg: ", VarString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "TEST10:",CR
    Var1Float = -1250.567

    VarToStrg(Dec,Var1Float,VarString)

    HRSOut "Variable -Float: ", Dec Var1Float,CR
    HRSOut "Conversion Strg: ", VarString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "END TEST",CR
'/------------------------------------------------------------------------------
  
    End

 
