'****************************************************************
'*  Name    : Test_Tips_and_Tricks.BAS                          *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 29/09/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   : Test Average command                              *
'*          :                                                   *
'****************************************************************
'/ Choose the include file depending of clock of ISIS CPU.

    Include "D:\MyIncFiles\proton18_16.inc"

'    Declare Float_Display_Type = Fast
'    Declare Float_Rounding = On             ' Round down to the nearest integer
'    Declare Reminders = Off
'    DECLARE LABEL_BANK_RESETS = ON
'    Declare Reminders = On
'    #define __INTERRUPTS_ENABLED 1

    Dim MyResultByte As Byte
    Dim MyResultWord As Word
    Dim MyResultSWord As SWord    
    Dim MyResultDword As Dword
    Dim MyResultFloat As Float

    Dim MyResultRDword As Word

    Dim MyInputByte As Byte
    Dim MyInputWord As Word
    Dim MyInputDword As Dword            
    Dim MyInputFloat As Float

    Dim WordLoop As Word
    Dim ByteLoop As Byte
    
' Place the String at the End of the Dim list

'/==============================================================================
'/ UARTs
'    $define _HRSOutTwoStopBitsInc_
' Others libraries.
    $define _ADCaverageA_
    $define _ADCaverageB_    
    $define _MyRandom_

    $define __MEASURE_CODE_
'/------------------------------------------------------------------------------
    '/ Create your own path in the Hard disk D:\MyIncFiles. 
    Include "D:\MyIncFiles\TIPS_AND_TRICKS_V16.Inc"
'/==============================================================================
    GoTo OverMacros                              ' Jump over the subroutines
'/==============================================================================


'/==============================================================================
OverMacros:
'/==============================================================================
                            
'/###############################################################################
'/ Main Demo Program
'/ Use the ISIS program to test the code.
'/ Click the ISIS button in the toolbar and choose the PIC18_ALCD_VHB.DSN board with normal LCD. 
'/###############################################################################
    Cls
MAIN:
    $define AverageAsamples_Size 32
    $define FastAverageAThreshold 100
    HRSOut "ADC_AverageA",CR

    ADC_AverageA_Init()
    MySeed($A385B341)

    For ByteLoop = 0 To 50       
        ADCResult = MyRandom()
        ADCResult = ADCResult & $03FF
        HRSOut "ADCResult AVA = ", Dec4 ADCResult, " "
        MyResultWord = ADC_AverageA()
        HRSOut "AverageOut A  = ", Dec4 MyResultWord,CR
    Next

    HRSOut CR

    $undef AverageBsamples_Size
    $define AverageBsamples_Size 32

    $undef FastAverageBThreshold
    $define FastAverageBThreshold 100
    HRSOut "ADC_AverageB",CR

    ADC_AverageB_Init()
    MySeed($A385B341)

    For ByteLoop = 0 To 50       
        ADCResult = MyRandom()
        ADCResult = ADCResult & $03FF        
        HRSOut "ADCResult AVB = ", Dec4 ADCResult, " "
        MyResultWord = ADC_AverageB()
        HRSOut "AverageOut B  = ", Dec4 MyResultWord,CR
    Next


'/##############################################################################
    End
'/==============================================================================
        
