'****************************************************************
'*  Name    : Test_Tips_and_Tricks_ADD.BAS                      *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 29/09/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   : Testing Load Array with a variable                *
'*          : STR_BCDArray() command                            *
'****************************************************************
'/ Choose the include file depending of clock of ISIS CPU.
    Include "D:\MyIncFiles\proton18_16.inc"

    Declare Watchdog = OFF
'    Declare Float_Display_Type = Fast
'    Declare Float_Rounding = On             ' Round down to the nearest integer

'    Declare Reminders = Off
'    DECLARE LABEL_BANK_RESETS = ON
'    Declare Reminders = On
'    #define __INTERRUPTS_ENABLED 1

    Dim MyResultByte As Byte
    Dim MyResultWord As Word
    Dim MyResultSWord As SWord    
    Dim MyResultDword As Dword
    Dim MyResultFloat As Float

    Dim MyInputByte As Byte
    Dim MyInputWord As Word
    Dim MyInputDword As Dword            
    Dim MyInputFloat As Float

    Dim WordLoop As Word
    Dim ByteLoop As Byte

' Place the String at the End of the Dim list

'/==============================================================================
'/ UARTs
'    $define _HRSOutTwoStopBitsInc_
' Others libraries.
'    $define _ADCaverageA_
'    $define _ADCaverageB_    
'    $define _CountUntil_
'    $define _HEXtoASCII_
'    $define _IDLOCS_
'    $define _HRSLStrg_
'    $define _DegC_DegF_
'    $define _Map8_
'    $define _Map16_
'    $define _MapF_    
'    $define _GIE_Save_
'    $define _DEVID1_
'    $define _StringToFloat_
'    $define _DebounceByte_    
'    $define _MyRandom_
'    $define _GrayCode_

    $define NumberBCDCounters 10
    $define _BCDCounters_

    $define __MEASURE_CODE_
'/------------------------------------------------------------------------------
    '/ Create your own path in the Hard disk D:\MyIncFiles. 
    Include "D:\MyIncFiles\TIPS_AND_TRICKS_V16.Inc"
'/==============================================================================
    GoTo OverMacros                              ' Jump over the subroutines
'/==============================================================================
'num_Float


'/==============================================================================
OverMacros:
'/==============================================================================
                      
'/###############################################################################
'/ Main Demo Program
'/ Use the ISIS program to test the code.
'/ Click the ISIS button in the toolbar and choose the PIC18_ALCD_VHB.DSN board with normal LCD. 
'/###############################################################################
    Cls
MAIN:
'/------------------------------------------------------------------------------
    HRSOut "STR BCD COUNTERS :",CR
    HRSOut "NUMBER OF COUNTERS: ",Dec __VBCD_CounterLenght,CR
    HRSOut "TEST 1:",CR,CR
    
    Clear BCDArray1
    '/ Loading a value into the BCD counters
    BCDArray1#0 = 4
    BCDArray1#1 = 5    
    BCDArray1#2 = 6
    BCDArray1#3 = 9
    BCDArray1#4 = 7
    BCDArray1#5 = 8    
    BCDArray1#6 = 7  

    Clear BCDArray2
    '/ Loading a value into the BCD counters
    BCDArray2#0 = 6
    BCDArray2#1 = 5    
    BCDArray2#2 = 8
    BCDArray2#3 = 4
    BCDArray2#4 = 8
    BCDArray2#5 = 6
    BCDArray2#6 = 1

    Clear BCDArray3
    '/ Loading a value into the BCD counters
    BCDArray3#0 = 1
    BCDArray3#1 = 4    
    BCDArray3#2 = 9
    BCDArray3#3 = 8
    BCDArray3#4 = 5
    BCDArray3#5 = 8
    BCDArray3#6 = 4
        
    '/ Convert a Byte to BCD Array
    MyInputByte = 175
    HRSOut "Convert a Byte to BCD Array: ",CR 
    HRSOut "MyInputByte: ", Dec MyInputByte,CR 

    HRSOut "STR Array:   "
    '/ Using the Array number 2.
    STR_BCDArray(2, MyInputByte)
    
    HRSOut_BCDarray(2,$F2)      '/ Send all zeros.
    Print_BCDarray(2,1,1)       '/ Print NO zero.
    Print_BCDarray(2,2,$F1)     '/ Print all zeros.

    HRSOut "SEE LCD...",CR,CR
    '/--------------------------------------------------------------------------
    DelayMS 3000

    HRSOut "NUMBER OF COUNTERS: ",Dec __VBCD_CounterLenght,CR
    HRSOut "TEST 2:",CR,CR
    
    '/ Convert a Word to BCD Array
    MyInputWord = 17500
    HRSOut "Convert a Word to BCD Array: ",CR 
    HRSOut "MyInputWord: ", Dec MyInputWord,CR 

    HRSOut "STR Array:   "
    '/ Using the Array number 2.
    STR_BCDArray(2, MyInputWord)
    
    HRSOut_BCDarray(2,$F2)      '/ Send all zeros.
    Print_BCDarray(2,1,1)       '/ Print NO zero.
    Print_BCDarray(2,2,$F1)     '/ Print all zeros.    

    HRSOut "SEE LCD...",CR,CR    
    '/--------------------------------------------------------------------------
    DelayMS 3000

    HRSOut "NUMBER OF COUNTERS: ",Dec __VBCD_CounterLenght,CR
    HRSOut "TEST 3:",CR,CR
    
    '/ Convert a Dword to BCD Array
    MyInputDword = 458817500
    HRSOut "Convert a Dword to BCD Array: ",CR 
    HRSOut "MyInputDword: ", Dec MyInputDword,CR 

    HRSOut "STR Array:    "
    '/ Using the Array number 2.
    STR_BCDArray(2, MyInputDword)
    
    HRSOut_BCDarray(2,$F2)      '/ Send all zeros.
    Print_BCDarray(2,1,1)       '/ Print NO zero.
    Print_BCDarray(2,2,$F1)     '/ Print all zeros.     

    HRSOut "SEE LCD...",CR,CR

    '/--------------------------------------------------------------------------
    HRSOut "END TEST",CR
Stop

'/##############################################################################
    End
'/==============================================================================
 
