'****************************************************************
'*  Name    : Test_Tips_and_Tricks.BAS                          *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 29/09/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   : Check the CLL command                             *
'*          :                                                   *
'****************************************************************
'/ Choose the include file depending of clock of ISIS CPU.
    Include "D:\MyIncFiles\proton18_16.inc"

'    Declare Float_Display_Type = Fast
'    Declare Float_Rounding = On             ' Round down to the nearest integer
    Declare Watchdog = On
'    Declare Reminders = Off
'    DECLARE LABEL_BANK_RESETS = ON
'    Declare Reminders = On

    Dim MyResultByte As Byte
    Dim MyResultWord As Word
    Dim MyResultSWord As SWord    
    Dim MyResultDword As Dword
    Dim MyResultFloat As Float

    Dim MyResultRDword As Word

    Dim MyInputByte As Byte
    Dim MyInputWord As Word
    Dim MyInputDword As Dword            
    Dim MyInputFloat As Float

    Dim WordLoop As Word
    Dim ByteLoop As Byte
    
' Place the String at the End of the Dim list
    Symbol MyArray1Lenght = 25
    Dim MyArray1[MyArray1Lenght] As Byte Heap


'/==============================================================================
'    #define __INTERRUPTS_ENABLED 1
'    #define watchdog_req

'/ UARTs
'    $define _HRSOutTwoStopBitsInc_
' Others libraries.
'    $define _ADCaverageA_
'    $define _ADCaverageB_    
'    $define _CountUntil_
'    $define _HEXtoASCII_
'    $define _IDLOCS_
'    $define _HRSLStrg_
'    $define _DegC_DegF_
'    $define _Map8_
'    $define _Map16_
'    $define _MapF_    
'    $define _GIE_Save_
'    $define _DEVID1_
'    $define _BCDCounters_
'    $define _StringToFloat_
'    $define _DebounceByte_    
    $define _MyRandom_
'    $define _GrayCode_
'    $define _RotateBits_
'    $define _BubbleSort_
'    $define _MedianFilter_
    $define _CLL_

    $define __MEASURE_CODE_
'/------------------------------------------------------------------------------
    '/ Create your own path in the Hard disk D:\MyIncFiles. 
    Include "D:\MyIncFiles\TIPS_AND_TRICKS_V16.Inc"
'/==============================================================================
    GoTo OverMacros                              ' Jump over the subroutines
'/==============================================================================


'/==============================================================================
OverMacros:
'/==============================================================================
                            
'/###############################################################################
'/ Main Demo Program
'/ Use the ISIS program to test the code.
'/ Click the ISIS button in the toolbar and choose the PIC18_ALCD_VHB.DSN board with normal LCD. 
'/###############################################################################
    Cls
MAIN:
   STARTSIZE(CLL_CODE)
'/------------------------------------------------------------------------------

    HRSOut "TESTING THE CLL COMMAND:",CR,CR

    Print At 1,1,"123456789ABCDEF-"
    Print At 2,1,"CLEAR DISPLAY"

    DelayMS 3000
    
    HRSOut "CLEAR THE DISPLAY: CLL()",CR
    DelayMS 1000
    CLL()     '/ Clear the display

    DelayMS 2000
    Print At 1,1,"ABCEFGHIJKLMNOPQ"
    Print At 2,1,"CLEAR LINE 1"    
    
    HRSOut "CLEAR THE FIRST LINE: CLL(1)",CR
    DelayMS 2000
    CLL(1)     '/ Clear the first line. 
 
    DelayMS 2000
    Print At 1,1,"CLEAR LINE 2"
    Print At 2,1,"ABCEFGHIJKLMNOPQ"     
    
    HRSOut "CLEAR THE SECOND LINE: CLL(2)",CR
    DelayMS 1000
    CLL(2)     '/ Clear the seconD line. 

    DelayMS 2000
    Print At 1,1,"123456789ABCDEF-"
    Print At 2,1,"CLEAR LINE1 POS5"   
    
    HRSOut "CLEAR THE FIRST LINE FROM POSITION 5: CLL(1,5)",CR
    DelayMS 1000
    CLL(1,5)     '/ Clear the first line from position 5.
    
    DelayMS 2000
    Print At 1,1,"CLEAR LINE2 POS8"
    Print At 2,1,"123456789ABCDEF-"    
 
    HRSOut "CLEAR THE SECOND LINE FROM POSITION 8: CLL(2,8)",CR
    DelayMS 1000
    CLL(2,8)     '/ Clear the second line from position 8.
    
    DelayMS 2000
    CLL()
    HRSOut "CLEAR THE DISPLAY: CLL()",CR
    Print At 1,1,"CLEAR DISPLAY"
    Print At 2,1,"THANK YOU (END)"     

    DelayMS 3000
    CLL

'/------------------------------------------------------------------------------
    ENDSIZE(CLL_CODE)
'/##############################################################################
    End
'/==============================================================================
  
