'****************************************************************
'*  Name    : Maths-10.BAS                                      *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 29/09/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   : Convert DegC to DegF command                      *
'*          :                                                   *
'****************************************************************
'/ choose the file depending of clock of CPU ISIS.
    Include "D:\MyIncFiles\proton18_16.inc"

    Declare Float_Display_Type = Fast
    Declare Float_Rounding = On             ' Round down to the nearest integer
'    Declare Reminders = Off
'    DECLARE LABEL_BANK_RESETS = ON
'    Declare Reminders = On

    Dim Temperature As Byte
    Dim MyResultByte As Byte
    Dim MyResultWord As Word
    Dim MyResultSWord As SWord    
    Dim MyResultDword As Dword
    Dim MyResultFloat As Float

    Dim MyInputByte As Byte
    Dim MyInputWord As Word
    Dim MyInputDword As Dword            
    Dim MyInputFloat As Float
    
    Dim TemperatureFloat As Float
    Dim TemperatureFloatReturn As Float

' Place the String at the End of the Dim list
'

'/==============================================================================
    #define __INTERRUPTS_ENABLED 1
'/ UARTs
'    $define _HRSOutTwoStopBitsInc_
' Others libraries.
    $define _DegC_DegF_

    $define __MEASURE_CODE_
'/------------------------------------------------------------------------------
    '/ Create your own path in the Hard disk D:\MyIncFiles. 
    Include "D:\MyIncFiles\TIPS_AND_TRICKS_V16.Inc"
'/==============================================================================
    GoTo OverMacros                              ' Jump over the subroutines
'/==============================================================================


'/==============================================================================
OverMacros:
'/==============================================================================
                            
'/###############################################################################
' Main Demo Program
    

'/###############################################################################
    Cls
MAIN:
'/ Convert DegC to DegF:
    
    TemperatureFloat = 35.5 '/ Deg C
    HRSOut "Temperature DegC = ",Dec TemperatureFloat," Variable",CR
    ConvertDegC_DegF(TemperatureFloat,TemperatureFloat)
    HRSOut "Temperature DegF = ",Dec TemperatureFloat,CR
    
    ConvertDegF_DegC(TemperatureFloat,TemperatureFloat) 
    HRSOut "Temperature DegC = ",Dec TemperatureFloat,CR
    HRSOut 13

    HRSOut "Temperature DegC = 35.5 Number",CR
    ConvertDegC_DegF(35.5,TemperatureFloat)
    HRSOut "Temperature DegF = ",Dec TemperatureFloat,CR
    
    ConvertDegF_DegC(TemperatureFloat,TemperatureFloat) 
    HRSOut "Temperature DegC = ",Dec TemperatureFloat,CR
    HRSOut CR

'/ Convert DegF to DegC:

    TemperatureFloat = 95.9 '/ Deg F
    HRSOut "Temperature DegF = ",Dec TemperatureFloat," Variable",CR
    ConvertDegF_DegC(TemperatureFloat,TemperatureFloat)
    HRSOut "Temperature DegC = ",Dec TemperatureFloat,CR
    
    ConvertDegC_DegF(TemperatureFloat,TemperatureFloat) 
    HRSOut "Temperature DegF = ",Dec TemperatureFloat,CR
    HRSOut 13

    HRSOut "Temperature DegF = 95.9 number",CR
    ConvertDegF_DegC(95.9,TemperatureFloat)
    HRSOut "Temperature DegC = ",Dec TemperatureFloat,CR
    
    ConvertDegC_DegF(TemperatureFloat,TemperatureFloat) 
    HRSOut "Temperature DegF = ",Dec TemperatureFloat,CR
    HRSOut CR

         
'/##############################################################################
    End
'/==============================================================================    

