'****************************************************************
'*  Name    : Test_Tips_and_Tricks.BAS                          *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 29/08/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   : Test the GetMAxMin command                        *
'*          :                                                   *
'****************************************************************
'/ Choose the include file depending of clock of ISIS CPU.
    Include "D:\MyIncFiles\proton18_16.inc"

'    Declare Float_Display_Type = Fast
'    Declare Float_Rounding = On             ' Round down to the nearest integer
'    Declare Reminders = Off
'    DECLARE LABEL_BANK_RESETS = ON
'    Declare Reminders = On

    Dim MyResultByte As Byte
    Dim MyResultWord As Word
    Dim MyResultSWord As SWord    
    Dim MyResultDword As Dword
    Dim MyResultFloat As Float

    Dim MyResultRDword As Word

    Dim MyInputByte As Byte
    Dim MyInputWord As Word
    Dim MyInputDword As Dword            
    Dim MyInputFloat As Float

    Dim WordLoop As Word
    Dim ByteLoop As Byte
    Dim MaxVal As Byte
    Dim MinVal As Byte         
' Place the String at the End of the Dim list
'
    Symbol LenthMyArray1 = 10
    Dim MyArray1[10] As Byte Heap

'/==============================================================================
    #define __INTERRUPTS_ENABLED 1
'/ UARTs
'    $define _HRSOutTwoStopBitsInc_

' Others libraries.
    $define _GetMinMax_
    $define __MEASURE_CODE_
'/------------------------------------------------------------------------------
    '/ Create your own path in the Hard disk D:\MyIncFiles. 
    Include "D:\MyIncFiles\TIPS_AND_TRICKS_V16.Inc"
'/==============================================================================
    GoTo OverMacros                              ' Jump over the subroutines
'/==============================================================================


'/==============================================================================
OverMacros:
'/==============================================================================
                            
'/###############################################################################
' Main Demo Program
'/ Use the ISIS program to test the code.
'/ Click the ISIS button in the toolbar and choose the PIC18_ALCD_VHB.DSN board with normal LCD. 
'/###############################################################################
    Cls
MAIN:

    HRSOut "GET THE MINIMUM & MAXIMUM VALUE IN AN ARRAY",CR,CR

    '/ Loading the array with some values.
    MyArray1#0 = 1
    MyArray1#1 = 5    
    MyArray1#2 = 23
    MyArray1#3 = 13    
    MyArray1#4 = 54
    MyArray1#5 = 67    
    MyArray1#6 = 121
    MyArray1#7 = 76    
    MyArray1#8 = 15
    MyArray1#9 = 233    
    
    For ByteLoop = 0 To 9
        PRODH = MyArray1[ByteLoop]
        HRSOut "BYTE",Dec ByteLoop," "
        HRSOut Dec PRODH,CR
    Next
    HRSOut CR    
  
    HRSOut "GET THE MIN & MAX VALUES",CR
    '/ Looking for the max and min values.
'    GetMAxMin(pArray,pBuffersize,pMaxValOut,pMinValOut)
    GetMAxMin(MyArray1,LenthMyArray1,MaxVal,MinVal)
    HRSOut "MinVal: ", Dec MinVal, CR
    HRSOut "MaxVal: ", Dec MaxVal, CR
    HRSOut CR

    HRSOut "GET THE MIN VALUE",CR
    '/ Looking for the min value.
'    GetMin(pArray,pBuffersize,pMinValOut)
    GetMin(MyArray1,LenthMyArray1,MinVal)
    HRSOut "MinVal: ", Dec MinVal, CR
    HRSOut CR

    HRSOut "GET THE MAX VALUE",CR
    '/ Looking for the max value.
'    GetMAx(pArray,pBuffersize,pMaxValOut)
    GetMAx(MyArray1,LenthMyArray1,MaxVal)
    HRSOut "MaxVal: ", Dec MaxVal,CR,CR

    HRSOut "END TEST",CR
           
'/##############################################################################
    End
'/==============================================================================

