'****************************************************************
'*  Name    : VarToSTring.BAS                                   *
'*  Author  : [Alberto Freixanet]                               *
'*  Notice  : Copyright (c) 2018 [AFreixanet]                   *
'*          : All Rights Reserved                               *
'*  Date    : 10/10/2018                                        *
'*  Version : 1.0                                               *
'*  Notes   : Check the VarToSTg command                        *
'*          :                                                   *
'****************************************************************

    Include "D:\MyIncFiles\proton18_16.inc"
'    Declare Float_Display_Type = Fast
    Declare Watchdog = OFF

    $define _VarToSTrg_
    $define __MEASURE_CODE_
    Include "D:\MyIncFiles\TIPS_AND_TRICKS_V16.Inc"

    Dim Var1Byte As Byte
    Dim Var1Word As Word
    Dim Var1DWord As Dword
    Dim Var1SByte As SByte
    Dim Var1SWord As SWord
    Dim Var1SDWord As SDword
    Dim Var1Float As Float

'/ The results are in VarToString [String].
'/==============================================================================
MAIN:
    HRSOut "EXTRACT THE DIGITS OF A VARIABLE AND LOAD A STRING",CR,CR

    HRSOut "TEST01:",CR    
    Var1Byte = 5

    VarToStrg(Var1Byte)

    HRSOut "Variable   Byte: ", Dec Var1Byte,CR
    HRSOut "Conversion Strg: ", VarToString, CR
    HRSOut CR
'/------------------------------------------------------------------------------
    HRSOut "TEST02:",CR    
    Var1Byte = 25

    VarToStrg(Var1Byte)

    HRSOut "Variable   Byte: ", Dec Var1Byte,CR
    HRSOut "Conversion Strg: ", VarToString, CR
    HRSOut CR
'/------------------------------------------------------------------------------
    HRSOut "TEST03:",CR    
    Var1Byte = 125

    VarToStrg(Var1Byte)

    HRSOut "Variable   Byte: ", Dec Var1Byte,CR
    HRSOut "Conversion Strg: ", VarToString, CR
    HRSOut CR
'/------------------------------------------------------------------------------
    HRSOut "TEST04:",CR
    Var1SByte = -125

    VarToStrg(Var1SByte)

    HRSOut "Variable -SByte: ", SDec Var1SByte,CR
    HRSOut "Conversion Strg: ", VarToString, CR
    HRSOut CR
'/------------------------------------------------------------------------------
    HRSOut "TEST05:",CR
    Var1Word = 12500

    VarToStrg(Var1Word)

    HRSOut "Variable   Word: ", Dec Var1Word,CR
    HRSOut "Conversion Strg: ", VarToString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "TEST06:",CR
    Var1SWord = -12500

    VarToStrg(Var1SWord)

    HRSOut "Variable -SWord: ", SDec Var1SWord,CR
    HRSOut "Conversion Strg: ", VarToString, CR
    HRSOut CR   
'/------------------------------------------------------------------------------
    HRSOut "TEST07:",CR
    Var1DWord = 125000

    VarToStrg(Var1DWord)

    HRSOut "Variable  DWord: ", Dec Var1DWord,CR
    HRSOut "Conversion Strg: ", VarToString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "TEST08:",CR
    Var1DWord = $FFFFFFFF

    VarToStrg(Var1DWord)

    HRSOut "Variable  DWord: ", Dec Var1DWord,CR
    HRSOut "Conversion Strg: ", VarToString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "TEST09:",CR
    Var1SDWord = -125000

    VarToStrg(Var1SDWord)

    HRSOut "Variable -SDWord: ", SDec Var1SDWord,CR
    HRSOut "Conversion  Strg: ", VarToString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "TEST10:",CR
    Var1SDWord = -12500000

    VarToStrg(Var1SDWord)

    HRSOut "Variable -SDWord: ", SDec Var1SDWord,CR
    HRSOut "Conversion  Strg: ", VarToString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "TEST11:",CR
    Var1SDWord = -$7FFFFFFF

    VarToStrg(Var1SDWord)

    HRSOut "Variable -SDWord: ", SDec Var1SDWord,CR
    HRSOut "Conversion  Strg: ", VarToString, CR
    HRSOut CR    
'/------------------------------------------------------------------------------
    HRSOut "END TEST",CR
'/------------------------------------------------------------------------------
  
    End

 
